<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <script>
      // Сделайте класс Employee (работник), в котором будут следующие свойства -
      // name (имя), age (возраст), salary (зарплата).
      // Сделайте в классе Employee метод getName, который будет возвращать имя работника.
      // Сделайте в классе Employee метод getAge, который будет возвращать возраст работника.
      // Сделайте в классе Employee метод getSalary, который будет возвращать зарплату работника.
      // Сделайте в классе Employee метод checkAge, который будет проверять то,
      // что работнику больше 18 лет и возвращать true, если это так, и false, если это не так.
      // Создайте два объекта класса Employee, запишите в их свойства какие-либо значения.
      // С помощью метода getSalary найдите сумму зарплат созданных работников.

      class Employee {
        constructor (name, age, salary) {
          this._name = name;
          this._age = age;
          this._salary = salary;
        }
        getName () {
          return this._name;
        }
        getAge () {
          return this._age;
        }
        getSalary () {
          return this._salary;
        }
        checkAge () {
          return this._age >= 18;
        }
      }
      
      const programmer = new Employee('anton', 22, 1998);
      const newProgrammer = new Employee('olya', 22, 2000);
      const result = programmer.getSalary() + newProgrammer.getSalary();
      console.log(result);


      // class Employee {
      //   constructor(name, age, salary){
      //     this.name = name;
      //     this.age = age;
      //     this.salary = salary;
      //   }
      //   getName(){
      //     return this.name
      //   }
      //   getAge(){
      //     return this.age
      //   }
      //   getSalary(){
      //     return this.salary
      //   }
      //   checkAge(){
      //     return this.age >= 18 
      //   }
      // }
      // const programmer = new Employee('Nazar', 20, 2000);
      // const newProgrammer = new Employee('David', 40, 3000);
      // const result = programmer.getSalary() + newProgrammer.getSalary();
      // console.log(result);


    </script>
  </body>
</html>
